package com.pj.api.dto;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 09 01 19 09
 **/
public class BordersListDto {
    private Long id;

    /**
     * 预申报编号
     */
    private String platSeqNo;

    /**
     * 边民姓名
     */
    private String borderName;

    /**
     * 身份证号
     */
    private String idno;

    /**
     * 边民备案编号
     */
    private String borderPutrecNo;

    /**
     * 结算单号
     */
    private String settleBillNo;

    /**
     * 申报金额
     */
    private Double buyAmount;

    /**
     * 净重
     */
    private Double netWt;

    /**
     * 毛重
     */
    private Double grossWt;

    /**
     * 申报数量
     */
    private Double buyQty;

    /**
     * 第一数量
     */
    private Double buyQty1;

    /**
     * 第二数量
     */
    private Double buyQty2;

    /**
     * 进出口预申报单号
     */
    private String preIeportNo;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 完成状态
     */
    private Integer finishStatus;

    private String preNo;

    /** 边民额度序号 */
    private String limitNo;

    /** 商品额度 */
    private Double gLimit;

    /** 商品序号 */
    private String gNo;

    public String getPreNo() {
        return preNo;
    }

    public void setPreNo(String preNo) {
        this.preNo = preNo;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPlatSeqNo() {
        return platSeqNo;
    }

    public void setPlatSeqNo(String platSeqNo) {
        this.platSeqNo = platSeqNo;
    }

    public String getBorderName() {
        return borderName;
    }

    public void setBorderName(String borderName) {
        this.borderName = borderName;
    }

    public String getIdno() {
        return idno;
    }

    public void setIdno(String idno) {
        this.idno = idno;
    }

    public String getBorderPutrecNo() {
        return borderPutrecNo;
    }

    public void setBorderPutrecNo(String borderPutrecNo) {
        this.borderPutrecNo = borderPutrecNo;
    }

    public String getSettleBillNo() {
        return settleBillNo;
    }

    public void setSettleBillNo(String settleBillNo) {
        this.settleBillNo = settleBillNo;
    }

    public Double getBuyAmount() {
        return buyAmount;
    }

    public void setBuyAmount(Double buyAmount) {
        this.buyAmount = buyAmount;
    }

    public Double getNetWt() {
        return netWt;
    }

    public void setNetWt(Double netWt) {
        this.netWt = netWt;
    }

    public Double getGrossWt() {
        return grossWt;
    }

    public void setGrossWt(Double grossWt) {
        this.grossWt = grossWt;
    }

    public Double getBuyQty() {
        return buyQty;
    }

    public void setBuyQty(Double buyQty) {
        this.buyQty = buyQty;
    }

    public Double getBuyQty1() {
        return buyQty1;
    }

    public void setBuyQty1(Double buyQty1) {
        this.buyQty1 = buyQty1;
    }

    public Double getBuyQty2() {
        return buyQty2;
    }

    public void setBuyQty2(Double buyQty2) {
        this.buyQty2 = buyQty2;
    }

    public String getPreIeportNo() {
        return preIeportNo;
    }

    public void setPreIeportNo(String preIeportNo) {
        this.preIeportNo = preIeportNo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getFinishStatus() {
        return finishStatus;
    }

    public void setFinishStatus(Integer finishStatus) {
        this.finishStatus = finishStatus;
    }

    public String getLimitNo() {
        return limitNo;
    }

    public void setLimitNo(String limitNo) {
        this.limitNo = limitNo;
    }

    public Double getgLimit() {
        return gLimit;
    }

    public void setgLimit(Double gLimit) {
        this.gLimit = gLimit;
    }

    public String getgNo() {
        return gNo;
    }

    public void setgNo(String gNo) {
        this.gNo = gNo;
    }

    public BordersListDto(Long id, String platSeqNo, String borderName, String idno, String borderPutrecNo, String settleBillNo, Double buyAmount, Double netWt, Double grossWt, Double buyQty, Double buyQty1, Double buyQty2, String preIeportNo, Date createTime, Integer finishStatus, String preNo, String limitNo, Double gLimit, String gNo) {
        this.id = id;
        this.platSeqNo = platSeqNo;
        this.borderName = borderName;
        this.idno = idno;
        this.borderPutrecNo = borderPutrecNo;
        this.settleBillNo = settleBillNo;
        this.buyAmount = buyAmount;
        this.netWt = netWt;
        this.grossWt = grossWt;
        this.buyQty = buyQty;
        this.buyQty1 = buyQty1;
        this.buyQty2 = buyQty2;
        this.preIeportNo = preIeportNo;
        this.createTime = createTime;
        this.finishStatus = finishStatus;
        this.preNo = preNo;
        this.limitNo = limitNo;
        this.gLimit = gLimit;
        this.gNo = gNo;
    }

    public BordersListDto() {
    }
}
